--------------------------------------------------------
-------------------- Some Nice Stuff -------------------
--------------------------------------------------------

surface.CreateFont("MAIN_MENU_FONT", {
	font = "Roboto",
	size = 33,
})

surface.CreateFont("MAIN_CHARACTER_MENU_FONT", {
	font = "Roboto",
	size = 12,
})

surface.CreateFont("MAIN_CHARACTER_MENU_FONT2", {
	font = "Roboto",
	size = 14,
})

for i=10,100 do

surface.CreateFont("Ryu"..i, 
{ font = "BigNoodleTitling",
size = i,
extended = false,
--weight = 500,
blursize = 0,
scanlines = 0,
antialias = true,
})

end

local blur = Material 'pp/blurscreen' function drawBlur( pan, amt ) local x, y = pan:LocalToScreen( 0, 0 ) surface.SetDrawColor( 255, 255, 255 ) surface.SetMaterial( blur ) for i = 1, 3 do blur:SetFloat( '$blur', ( i / 3 ) * ( amt or 6 ) ) blur:Recompute() render.UpdateScreenEffectTexture() surface.DrawTexturedRect( x * -1, y * -1, ScrW(), ScrH() ) end end

local ListOfAnimation = { "pose_standing_01", "pose_standing_02" }

local isOpen = false

local nextOpen = 0


function CHARACTERS()

--------------------------------------------------------
------------------- Player Camera View -----------------
--------------------------------------------------------

function CalcView(ply, pos, angles, fov)
    local view = {}

      if game.GetMap() == "slash_summercamp" then

        view.origin = Vector(1524.395996, 231.315277, 758.532471)
        view.angles = Angle(32.864445, -148.664963, 0)

      elseif game.GetMap() == "slash_highschool" then

        view.origin = Vector(9.015919, 89.073654, 87.546738)
        view.angles = Angle(0.578571, 90.060844, 0)

      elseif game.GetMap() == "slash_selvage" then

        view.origin = Vector(-2160.293945, 1517.242065, 863.517883)
        view.angles = Angle(37.956196, -44.803425, 0)

      elseif game.GetMap() == "slash_subway" then

        view.origin = Vector(463.547821, 708.586121, 536.539551)
        view.angles = Angle(26.846981, -140.479263, 0)

      end

    view.fov = fov
    return view
end
hook.Add( "CalcView", "CalcView", CalcView )

--------------------------------------------------------
------------------- Main Menu Creation -----------------
--------------------------------------------------------

if(!IsValid(F13)) then

    isOpen = true
    
    F13 = vgui.Create("DFrame")
    F13:SetSize(ScrW(), ScrH())
    F13:Center()
    F13:SetTitle("")
    F13:SetDraggable(false)
    F13:ShowCloseButton(false)
    F13:MakePopup()
    F13.Paint = function( self, w, h )
           drawBlur(self,5)
           draw.RoundedBox(0, 0, 0, ScrW(), ScrW() , Color(0,0,0,50))
           -- Characters names
           draw.SimpleText("Jason 1", "MAIN_CHARACTER_MENU_FONT2", ScrW() * 0.100 , ScrW() * 0.400, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
           draw.SimpleText("Jason 2", "MAIN_CHARACTER_MENU_FONT2", ScrW() * 0.145 , ScrW() * 0.400, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
           draw.SimpleText("Jason 3", "MAIN_CHARACTER_MENU_FONT2", ScrW() * 0.190 , ScrW() * 0.400, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
           draw.SimpleText("Jason 4", "MAIN_CHARACTER_MENU_FONT2", ScrW() * 0.235 , ScrW() * 0.400, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
           draw.SimpleText("Jason 5", "MAIN_CHARACTER_MENU_FONT2", ScrW() * 0.280 , ScrW() * 0.400, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
           draw.SimpleText("Jason 6", "MAIN_CHARACTER_MENU_FONT2", ScrW() * 0.325 , ScrW() * 0.400, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
           draw.SimpleText("Jason 7", "MAIN_CHARACTER_MENU_FONT2", ScrW() * 0.370 , ScrW() * 0.400, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
           
           draw.SimpleText("A.J. Mason", "MAIN_CHARACTER_MENU_FONT2", ScrW() * 0.618 , ScrW() * 0.400, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
           draw.SimpleText("Adam", "MAIN_CHARACTER_MENU_FONT2", ScrW() * 0.665 , ScrW() * 0.400, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
           draw.SimpleText("Brandon", "MAIN_CHARACTER_MENU_FONT2", ScrW() * 0.710 , ScrW() * 0.400, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
           draw.SimpleText("Chad", "MAIN_CHARACTER_MENU_FONT2", ScrW() * 0.755 , ScrW() * 0.400, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
           draw.SimpleText("Deborah", "MAIN_CHARACTER_MENU_FONT2", ScrW() * 0.800 , ScrW() * 0.400, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
           draw.SimpleText("Eric", "MAIN_CHARACTER_MENU_FONT2", ScrW() * 0.845 , ScrW() * 0.400, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
           draw.SimpleText("Jenny", "MAIN_CHARACTER_MENU_FONT2", ScrW() * 0.890 , ScrW() * 0.400, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)

           draw.SimpleText("Kenny", "MAIN_CHARACTER_MENU_FONT2", ScrW() * 0.618 , ScrW() * 0.505, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
           draw.SimpleText("Tiffany", "MAIN_CHARACTER_MENU_FONT2", ScrW() * 0.665 , ScrW() * 0.505, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
           draw.SimpleText("Vanessa", "MAIN_CHARACTER_MENU_FONT2", ScrW() * 0.710 , ScrW() * 0.505, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
           draw.SimpleText("Rob", "MAIN_CHARACTER_MENU_FONT2", ScrW() * 0.755 , ScrW() * 0.505, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
           draw.SimpleText("Tommy", "MAIN_CHARACTER_MENU_FONT2", ScrW() * 0.800 , ScrW() * 0.505, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
        end

        local Back = vgui.Create("DButton", F13)
        Back:SetSize(ScrW() * 0.1, ScrH() * 0.05)
        Back:SetPos(ScrW() * 0.45, ScrH() * 0.9)
        Back:SetText("Back")
        Back:SetTextColor(Color(255,255,255))
        Back:SetFont("MAIN_MENU_FONT")
        Back.Paint = function(self,w,h)
          if self:IsHovered() then
            Back:SetTextColor(Color(234, 56, 56))
          else
            Back:SetTextColor(Color(255,255,255))
          end
        end
        Back.DoClick = function()
        F13:Remove()
        MAIN_MENU()
        end

        local F13Model = vgui.Create( "DModelPanel", F13 ) 
        F13Model:SetSize( ScrW() * 0.3, ScrW() * 0.4)
        F13Model:SetPos( ScrW() * 0.350, ScrW() * 0.050 )
        F13Model:SetMouseInputEnabled(false)
        F13Model:SetModel( "models/models/konnie/jasonpart3/jasonpart3.mdl" )
        F13Model.LayoutEntity = function( pnl, ent ) end
        F13Model.Entity:SetPos( Vector(0, 0, 30) )
        F13Model.Entity:SetSequence(F13Model.Entity:LookupSequence(table.Random( ListOfAnimation )))
        F13Model:GetEntity():SetBodygroup( 2, 2 )
        F13Model:SetCamPos( Vector(60, 0, 60) )
        F13Model:SetLookAt( Vector(0, 0, 60) )


    local Jason_1 = vgui.Create("spawnicon" , F13)
    Jason_1:SetPos( ScrW() * 0.080, ScrW() * 0.41 )
    Jason_1:SetSize(ScrW() * 0.041 , ScrW() * 0.041)
    Jason_1:SetModel("models/models/konnie/jasonpart3/jasonpart3.mdl")
    Jason_1:SetCursor("hand")
    Jason_1.OnMousePressed = function()

        F13Model:SetModel( "models/models/konnie/jasonpart3/jasonpart3.mdl" )
        F13Model:SetColor( Color(255, 255, 255) )
        F13Model.Entity:SetPos( Vector(0, 0, 30) )
        F13Model.Entity:SetSequence(F13Model.Entity:LookupSequence(table.Random( ListOfAnimation )))
        surface.PlaySound( "UI/buttonrollover.wav" )
        return false

    end
    Jason_1.PaintOver = function( self, w, h )

            if self:IsHovered() then
             Jason_1:SetPos( ScrW() * 0.080, ScrW() * 0.408 )
          else
               Jason_1:SetPos( ScrW() * 0.080, ScrW() * 0.41 )
          end

           surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
           surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

        end


        local Jason_2 = vgui.Create("spawnicon" , F13)
    Jason_2:SetPos( ScrW() * 0.125, ScrW() * 0.41 )
    Jason_2:SetSize(ScrW() * 0.041 , ScrW() * 0.041)
    Jason_2:SetModel("models/models/konnie/jasonpart6/jasonpart6.mdl")
    Jason_2:SetCursor("hand")
    Jason_2.OnMousePressed = function()

        F13Model:SetModel( "models/models/konnie/jasonpart6/jasonpart6.mdl" )
        F13Model:SetColor( Color(255, 255, 255) )
        F13Model.Entity:SetPos( Vector(0, 0, 30) )
        F13Model:GetEntity():SetBodygroup( 2, 1 )
        F13Model.Entity:SetSequence(F13Model.Entity:LookupSequence(table.Random( ListOfAnimation )))
        surface.PlaySound( "UI/buttonrollover.wav" )
        return false

    end
    Jason_2.PaintOver = function( self, w, h )

            if self:IsHovered() then
             Jason_2:SetPos( ScrW() * 0.125, ScrW() * 0.408 )
          else
               Jason_2:SetPos( ScrW() * 0.125, ScrW() * 0.41 )
          end
        
        if not LocalPlayer():IsLevel(10) then

            draw.RoundedBox( 0, 0, ScrW() * 0.0, ScrW() * 0.041 , ScrW() * 0.041, Color( 0,0,0,250 ) )
            draw.SimpleText("Locked", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.015, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            draw.SimpleText("Level : 10", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.025, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
            surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

            Jason_2:SetCursor("no")
            Jason_2.OnMousePressed = function()
             return false
            end

        else

           surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
           surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

        end
        end



        local Jason_3 = vgui.Create("spawnicon" , F13)
    Jason_3:SetPos( ScrW() * 0.170, ScrW() * 0.41 )
    Jason_3:SetSize(ScrW() * 0.041 , ScrW() * 0.041)
    Jason_3:SetModel("models/models/konnie/jasonpart7/jasonpart7.mdl")
    Jason_3:SetCursor("hand")
    Jason_3.OnMousePressed = function()

        F13Model:SetModel( "models/models/konnie/jasonpart7/jasonpart7.mdl" )
        F13Model:SetColor( Color(255, 255, 255) )
        F13Model.Entity:SetPos( Vector(0, 0, 30) )
        F13Model.Entity:SetSequence(F13Model.Entity:LookupSequence(table.Random( ListOfAnimation )))
        surface.PlaySound( "UI/buttonrollover.wav" )
        return false

    end
    Jason_3.PaintOver = function( self, w, h )

            if self:IsHovered() then
             Jason_3:SetPos( ScrW() * 0.170, ScrW() * 0.408 )
          else
               Jason_3:SetPos( ScrW() * 0.170, ScrW() * 0.41 )
          end
        
        if not LocalPlayer():IsLevel(20) then

            draw.RoundedBox( 0, 0, ScrW() * 0.0, ScrW() * 0.041 , ScrW() * 0.041, Color( 0,0,0,250 ) )
            draw.SimpleText("Locked", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.015, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            draw.SimpleText("Level : 20", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.025, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
            surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

            Jason_3:SetCursor("no")
            Jason_3.OnMousePressed = function()
             return false
            end

        else

           surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
           surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

        end

        end


        local Jason_4 = vgui.Create("spawnicon" , F13)
    Jason_4:SetPos( ScrW() * 0.215, ScrW() * 0.41 )
    Jason_4:SetSize(ScrW() * 0.041 , ScrW() * 0.041)
    Jason_4:SetModel("models/models/konnie/jasonpart8/jasonpart8.mdl")
    Jason_4:SetCursor("hand")
    Jason_4.OnMousePressed = function()

        F13Model:SetModel( "models/models/konnie/jasonpart8/jasonpart8.mdl" )
        F13Model:SetColor( Color(255, 255, 255) )
        F13Model.Entity:SetPos( Vector(0, 0, 30) )
        F13Model.Entity:SetSequence(F13Model.Entity:LookupSequence(table.Random( ListOfAnimation )))
        surface.PlaySound( "UI/buttonrollover.wav" )
        return false

    end
    Jason_4.PaintOver = function( self, w, h )

            if self:IsHovered() then
             Jason_4:SetPos( ScrW() * 0.215, ScrW() * 0.408 )
          else
               Jason_4:SetPos( ScrW() * 0.215, ScrW() * 0.41 )
          end
        
        if not LocalPlayer():IsLevel(30) then

            draw.RoundedBox( 0, 0, ScrW() * 0.0, ScrW() * 0.041 , ScrW() * 0.041, Color( 0,0,0,250 ) )
            draw.SimpleText("Locked", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.015, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            draw.SimpleText("Level : 30", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.025, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
            surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

            Jason_4:SetCursor("no")
            Jason_4.OnMousePressed = function()
             return false
            end

        else

           surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
           surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

        end

        end



        local Jason_5 = vgui.Create("spawnicon" , F13)
    Jason_5:SetPos( ScrW() * 0.260, ScrW() * 0.41 )
    Jason_5:SetSize(ScrW() * 0.041 , ScrW() * 0.041)
    Jason_5:SetModel("models/models/konnie/jasonpart9/jasonpart9.mdl")
    Jason_5:SetCursor("hand")
    Jason_5.OnMousePressed = function()

        F13Model:SetModel( "models/models/konnie/jasonpart9/jasonpart9.mdl" )
        F13Model:SetColor( Color(255, 255, 255) )
        F13Model.Entity:SetPos( Vector(0, 0, 30) )
        F13Model.Entity:SetSequence(F13Model.Entity:LookupSequence(table.Random( ListOfAnimation )))
        surface.PlaySound( "UI/buttonrollover.wav" )
        return false

    end
    Jason_5.PaintOver = function( self, w, h )

            if self:IsHovered() then
             Jason_5:SetPos( ScrW() * 0.260, ScrW() * 0.408 )
          else
               Jason_5:SetPos( ScrW() * 0.260, ScrW() * 0.41 )
          end
        
        if not LocalPlayer():IsLevel(40) then

            draw.RoundedBox( 0, 0, ScrW() * 0.0, ScrW() * 0.041 , ScrW() * 0.041, Color( 0,0,0,250 ) )
            draw.SimpleText("Locked", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.015, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            draw.SimpleText("Level : 40", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.025, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
            surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

            Jason_5:SetCursor("no")
            Jason_5.OnMousePressed = function()
             return false
            end

        else

           surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
           surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

        end

        end


        local Jason_6 = vgui.Create("spawnicon" , F13)
    Jason_6:SetPos( ScrW() * 0.305, ScrW() * 0.41 )
    Jason_6:SetSize(ScrW() * 0.041 , ScrW() * 0.041)
    Jason_6:SetModel("models/models/konnie/jasonpart2/jasonpart2.mdl")
    Jason_6:SetCursor("hand")
    Jason_6.OnMousePressed = function()

        F13Model:SetModel( "models/models/konnie/jasonpart2/jasonpart2.mdl" )
        F13Model:SetColor( Color(255, 255, 255) )
        F13Model.Entity:SetPos( Vector(0, 0, 30) )
        F13Model.Entity:SetSequence(F13Model.Entity:LookupSequence(table.Random( ListOfAnimation )))
        surface.PlaySound( "UI/buttonrollover.wav" )
        return false

    end
    Jason_6.PaintOver = function( self, w, h )

            if self:IsHovered() then
             Jason_6:SetPos( ScrW() * 0.305, ScrW() * 0.408 )
          else
               Jason_6:SetPos( ScrW() * 0.305, ScrW() * 0.41 )
          end
        
        if not LocalPlayer():IsLevel(50) then

            draw.RoundedBox( 0, 0, ScrW() * 0.0, ScrW() * 0.041 , ScrW() * 0.041, Color( 0,0,0,250 ) )
            draw.SimpleText("Locked", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.015, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            draw.SimpleText("Level : 50", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.025, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
            surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

            Jason_6:SetCursor("no")
            Jason_6.OnMousePressed = function()
             return false
            end

        else

           surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
           surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

        end

        end




        local Jason_7 = vgui.Create("spawnicon" , F13)
    Jason_7:SetPos( ScrW() * 0.350, ScrW() * 0.41 )
    Jason_7:SetSize(ScrW() * 0.041 , ScrW() * 0.041)
    Jason_7:SetModel("models/models/konnie/savini/savini.mdl")
    Jason_7:SetCursor("hand")
    Jason_7.OnMousePressed = function()

        F13Model:SetModel( "models/models/konnie/savini/savini.mdl" )
        F13Model:SetColor( Color(255, 255, 255) )
        F13Model:GetEntity():SetSkin( 1 )
        F13Model.Entity:SetPos( Vector(0, 0, 30) )
        F13Model.Entity:SetSequence(F13Model.Entity:LookupSequence(table.Random( ListOfAnimation )))
        surface.PlaySound( "UI/buttonrollover.wav" )
        return false

    end
    Jason_7.PaintOver = function( self, w, h )

            if self:IsHovered() then
             Jason_7:SetPos( ScrW() * 0.350, ScrW() * 0.408 )
          else
               Jason_7:SetPos( ScrW() * 0.350, ScrW() * 0.41 )
          end
        
        if not LocalPlayer():IsUserGroup("vip") then

            draw.RoundedBox( 0, 0, ScrW() * 0.0, ScrW() * 0.041 , ScrW() * 0.041, Color( 0,0,0,250 ) )
            draw.SimpleText("Locked", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.015, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            draw.SimpleText("VIP", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.025, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
            surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

            Jason_7:SetCursor("no")
            Jason_7.OnMousePressed = function()
             return false
            end

        else

           surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
           surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

        end

        end



        local AJMason = vgui.Create("spawnicon" , F13)
    AJMason:SetPos( ScrW() * 0.600, ScrW() * 0.41 )
    AJMason:SetSize(ScrW() * 0.041 , ScrW() * 0.041)
    AJMason:SetModel("models/models/konnie/punkgirl/punkgirl.mdl")
    AJMason:SetCursor("hand")
    AJMason.OnMousePressed = function()

        F13Model:SetModel( "models/models/konnie/punkgirl/punkgirl.mdl" )
        F13Model:SetColor( Color(255, 255, 255) )
        F13Model.Entity:SetPos( Vector(0, 0, 30) )
        F13Model.Entity:SetSequence(F13Model.Entity:LookupSequence(table.Random( ListOfAnimation )))
        surface.PlaySound( "UI/buttonrollover.wav" )
        return false

    end
    AJMason.PaintOver = function( self, w, h )

            if self:IsHovered() then
             AJMason:SetPos( ScrW() * 0.600, ScrW() * 0.408 )
          else
               AJMason:SetPos( ScrW() * 0.600, ScrW() * 0.41 )
          end
        
            surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
            surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )


        end


        local AdamPalomino = vgui.Create("spawnicon" , F13)
    AdamPalomino:SetPos( ScrW() * 0.645, ScrW() * 0.41 )
    AdamPalomino:SetSize(ScrW() * 0.041 , ScrW() * 0.041)
    AdamPalomino:SetModel("models/models/konnie/tough/tough.mdl")
    AdamPalomino:SetCursor("hand")
    AdamPalomino.OnMousePressed = function()

        F13Model:SetModel( "models/models/konnie/tough/tough.mdl" )
        F13Model:SetColor( Color(255, 255, 255) )
        F13Model.Entity:SetPos( Vector(0, 0, 30) )
        F13Model.Entity:SetSequence(F13Model.Entity:LookupSequence(table.Random( ListOfAnimation )))
        surface.PlaySound( "UI/buttonrollover.wav" )
        return false

    end
    AdamPalomino.PaintOver = function( self, w, h )

            if self:IsHovered() then
             AdamPalomino:SetPos( ScrW() * 0.645, ScrW() * 0.408 )
          else
               AdamPalomino:SetPos( ScrW() * 0.645, ScrW() * 0.41 )
          end
        
        if not LocalPlayer():IsLevel(10) then

            draw.RoundedBox( 0, 0, ScrW() * 0.0, ScrW() * 0.041 , ScrW() * 0.041, Color( 0,0,0,250 ) )
            draw.SimpleText("Locked", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.015, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            draw.SimpleText("Level : 10", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.025, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
            surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

            AdamPalomino:SetCursor("no")
            AdamPalomino.OnMousePressed = function()
             return false
            end

        else

           surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
           surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

        end

        end



        local BrandonBuggzyWilson = vgui.Create("spawnicon" , F13)
    BrandonBuggzyWilson:SetPos( ScrW() * 0.690, ScrW() * 0.41 )
    BrandonBuggzyWilson:SetSize(ScrW() * 0.041 , ScrW() * 0.041)
    BrandonBuggzyWilson:SetModel("models/models/konnie/buggzy/buggzy.mdl")
    BrandonBuggzyWilson:SetCursor("hand")
    BrandonBuggzyWilson.OnMousePressed = function()

        F13Model:SetModel( "models/models/konnie/buggzy/buggzy.mdl" )
        F13Model:SetColor( Color(255, 255, 255) )
        F13Model.Entity:SetPos( Vector(0, 0, 30) )
        F13Model.Entity:SetSequence(F13Model.Entity:LookupSequence(table.Random( ListOfAnimation )))
        surface.PlaySound( "UI/buttonrollover.wav" )
        return false

    end
    BrandonBuggzyWilson.PaintOver = function( self, w, h )

            if self:IsHovered() then
             BrandonBuggzyWilson:SetPos( ScrW() * 0.690, ScrW() * 0.408 )
          else
               BrandonBuggzyWilson:SetPos( ScrW() * 0.690, ScrW() * 0.41 )
          end
        
        if not LocalPlayer():IsLevel(20) then

            draw.RoundedBox( 0, 0, ScrW() * 0.0, ScrW() * 0.041 , ScrW() * 0.041, Color( 0,0,0,250 ) )
            draw.SimpleText("Locked", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.015, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            draw.SimpleText("Level : 20", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.025, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
            surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

            BrandonBuggzyWilson:SetCursor("no")
            BrandonBuggzyWilson.OnMousePressed = function()
             return false
            end

        else

           surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
           surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

        end

        end


        local ChadKensington = vgui.Create("spawnicon" , F13)
    ChadKensington:SetPos( ScrW() * 0.735, ScrW() * 0.41 )
    ChadKensington:SetSize(ScrW() * 0.041 , ScrW() * 0.041)
    ChadKensington:SetModel("models/models/konnie/chad/chad.mdl")
    ChadKensington:SetCursor("hand")
    ChadKensington.OnMousePressed = function()

        F13Model:SetModel( "models/models/konnie/chad/chad.mdl" )
        F13Model:SetColor( Color(255, 255, 255) )
        F13Model.Entity:SetPos( Vector(0, 0, 30) )
        F13Model.Entity:SetSequence(F13Model.Entity:LookupSequence(table.Random( ListOfAnimation )))
        surface.PlaySound( "UI/buttonrollover.wav" )
        return false

    end
    ChadKensington.PaintOver = function( self, w, h )

            if self:IsHovered() then
             ChadKensington:SetPos( ScrW() * 0.735, ScrW() * 0.408 )
          else
               ChadKensington:SetPos( ScrW() * 0.735, ScrW() * 0.41 )
          end
        
        if not LocalPlayer():IsLevel(30) then

            draw.RoundedBox( 0, 0, ScrW() * 0.0, ScrW() * 0.041 , ScrW() * 0.041, Color( 0,0,0,250 ) )
            draw.SimpleText("Locked", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.015, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            draw.SimpleText("Level : 30", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.025, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
            surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

            ChadKensington:SetCursor("no")
            ChadKensington.OnMousePressed = function()
             return false
            end

        else

           surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
           surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

        end

        end



        local DeborahKim = vgui.Create("spawnicon" , F13)
    DeborahKim:SetPos( ScrW() * 0.780, ScrW() * 0.41 )
    DeborahKim:SetSize(ScrW() * 0.041 , ScrW() * 0.041)
    DeborahKim:SetModel("models/models/konnie/deborah/deborah.mdl")
    DeborahKim:SetCursor("hand")
    DeborahKim.OnMousePressed = function()

        F13Model:SetModel( "models/models/konnie/deborah/deborah.mdl" )
        F13Model:SetColor( Color(255, 255, 255) )
        F13Model.Entity:SetPos( Vector(0, 0, 30) )
        F13Model.Entity:SetSequence(F13Model.Entity:LookupSequence(table.Random( ListOfAnimation )))
        surface.PlaySound( "UI/buttonrollover.wav" )
        return false

    end
    DeborahKim.PaintOver = function( self, w, h )

            if self:IsHovered() then
             DeborahKim:SetPos( ScrW() * 0.780, ScrW() * 0.408 )
          else
               DeborahKim:SetPos( ScrW() * 0.780, ScrW() * 0.41 )
          end
        
        if not LocalPlayer():IsLevel(40) then

            draw.RoundedBox( 0, 0, ScrW() * 0.0, ScrW() * 0.041 , ScrW() * 0.041, Color( 0,0,0,250 ) )
            draw.SimpleText("Locked", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.015, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            draw.SimpleText("Level : 40", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.025, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
            surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

            DeborahKim:SetCursor("no")
            DeborahKim.OnMousePressed = function()
             return false
            end

        else

           surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
           surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

        end

        end


        local EricJRLaChappa = vgui.Create("spawnicon" , F13)
    EricJRLaChappa:SetPos( ScrW() * 0.825, ScrW() * 0.41 )
    EricJRLaChappa:SetSize(ScrW() * 0.041 , ScrW() * 0.041)
    EricJRLaChappa:SetModel("models/models/konnie/eric/eric.mdl")
    EricJRLaChappa:SetCursor("hand")
    EricJRLaChappa.OnMousePressed = function()

        F13Model:SetModel( "models/models/konnie/eric/eric.mdl" )
        F13Model:SetColor( Color(255, 255, 255) )
        F13Model.Entity:SetPos( Vector(0, 0, 30) )
        F13Model.Entity:SetSequence(F13Model.Entity:LookupSequence(table.Random( ListOfAnimation )))
        surface.PlaySound( "UI/buttonrollover.wav" )
        return false

    end
    EricJRLaChappa.PaintOver = function( self, w, h )

            if self:IsHovered() then
             EricJRLaChappa:SetPos( ScrW() * 0.825, ScrW() * 0.408 )
          else
               EricJRLaChappa:SetPos( ScrW() * 0.825, ScrW() * 0.41 )
          end
        
        if not LocalPlayer():IsLevel(50) then

            draw.RoundedBox( 0, 0, ScrW() * 0.0, ScrW() * 0.041 , ScrW() * 0.041, Color( 0,0,0,250 ) )
            draw.SimpleText("Locked", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.015, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            draw.SimpleText("Level : 50", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.025, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
            surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

            EricJRLaChappa:SetCursor("no")
            EricJRLaChappa.OnMousePressed = function()
             return false
            end

        else

           surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
           surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

        end

        end



        local JennyMyers = vgui.Create("spawnicon" , F13)
    JennyMyers:SetPos( ScrW() * 0.870, ScrW() * 0.41 )
    JennyMyers:SetSize(ScrW() * 0.041 , ScrW() * 0.041)
    JennyMyers:SetModel("models/models/konnie/jenny/jenny.mdl")
    JennyMyers:SetCursor("hand")
    JennyMyers.OnMousePressed = function()

        F13Model:SetModel( "models/models/konnie/jenny/jenny.mdl" )
        F13Model:SetColor( Color(255, 255, 255) )
        F13Model.Entity:SetPos( Vector(0, 0, 30) )
        F13Model.Entity:SetSequence(F13Model.Entity:LookupSequence(table.Random( ListOfAnimation )))
        surface.PlaySound( "UI/buttonrollover.wav" )
        return false

    end
    JennyMyers.PaintOver = function( self, w, h )

            if self:IsHovered() then
             JennyMyers:SetPos( ScrW() * 0.870, ScrW() * 0.408 )
          else
               JennyMyers:SetPos( ScrW() * 0.870, ScrW() * 0.41 )
          end
        
        if not LocalPlayer():IsLevel(60) then

            draw.RoundedBox( 0, 0, ScrW() * 0.0, ScrW() * 0.041 , ScrW() * 0.041, Color( 0,0,0,250 ) )
            draw.SimpleText("Locked", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.015, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            draw.SimpleText("Level : 60", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.025, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
            surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

            JennyMyers:SetCursor("no")
            JennyMyers.OnMousePressed = function()
             return false
            end

        else

           surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
           surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

        end

        end


        local KennyRiedell = vgui.Create("spawnicon" , F13)
    KennyRiedell:SetPos( ScrW() * 0.600, ScrW() * 0.455 )
    KennyRiedell:SetSize(ScrW() * 0.041 , ScrW() * 0.041)
    KennyRiedell:SetModel("models/models/konnie/kenny/kenny.mdl")
    KennyRiedell:SetCursor("hand")
    KennyRiedell.OnMousePressed = function()

        F13Model:SetModel( "models/models/konnie/kenny/kenny.mdl" )
        F13Model:SetColor( Color(255, 255, 255) )
        F13Model.Entity:SetPos( Vector(0, 0, 30) )
        F13Model.Entity:SetSequence(F13Model.Entity:LookupSequence(table.Random( ListOfAnimation )))
        surface.PlaySound( "UI/buttonrollover.wav" )
        return false

    end
    KennyRiedell.PaintOver = function( self, w, h )

            if self:IsHovered() then
             KennyRiedell:SetPos( ScrW() * 0.600, ScrW() * 0.455 )
          else
               KennyRiedell:SetPos( ScrW() * 0.600, ScrW() * 0.457 )
          end
        
        if not LocalPlayer():IsLevel(70) then

            draw.RoundedBox( 0, 0, ScrW() * 0.0, ScrW() * 0.041 , ScrW() * 0.041, Color( 0,0,0,250 ) )
            draw.SimpleText("Locked", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.015, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            draw.SimpleText("Level : 70", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.025, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
            surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

            KennyRiedell:SetCursor("no")
            KennyRiedell.OnMousePressed = function()
             return false
            end

        else

           surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
           surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

        end

        end


        local TiffanyCox = vgui.Create("spawnicon" , F13)
    TiffanyCox:SetPos( ScrW() * 0.645, ScrW() * 0.455 )
    TiffanyCox:SetSize(ScrW() * 0.041 , ScrW() * 0.041)
    TiffanyCox:SetModel("models/models/konnie/tiffany/tiffany.mdl")
    TiffanyCox:SetCursor("hand")
    TiffanyCox.OnMousePressed = function()

        F13Model:SetModel( "models/models/konnie/tiffany/tiffany.mdl" )
        F13Model:SetColor( Color(255, 255, 255) )
        F13Model.Entity:SetPos( Vector(0, 0, 30) )
        F13Model.Entity:SetSequence(F13Model.Entity:LookupSequence(table.Random( ListOfAnimation )))
        surface.PlaySound( "UI/buttonrollover.wav" )
        return false

    end
    TiffanyCox.PaintOver = function( self, w, h )

            if self:IsHovered() then
             TiffanyCox:SetPos( ScrW() * 0.645, ScrW() * 0.455 )
          else
               TiffanyCox:SetPos( ScrW() * 0.645, ScrW() * 0.457 )
          end
        
        if not LocalPlayer():IsLevel(80) then

            draw.RoundedBox( 0, 0, ScrW() * 0.0, ScrW() * 0.041 , ScrW() * 0.041, Color( 0,0,0,250 ) )
            draw.SimpleText("Locked", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.015, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            draw.SimpleText("Level : 80", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.025, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
            surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

            TiffanyCox:SetCursor("no")
            TiffanyCox.OnMousePressed = function()
             return false
            end

        else

           surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
           surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

        end

        end


        local VanessaJones = vgui.Create("spawnicon" , F13)
    VanessaJones:SetPos( ScrW() * 0.690, ScrW() * 0.455 )
    VanessaJones:SetSize(ScrW() * 0.041 , ScrW() * 0.041)
    VanessaJones:SetModel("models/models/konnie/vanessa/vanessa.mdl")
    VanessaJones:SetCursor("hand")
    VanessaJones.OnMousePressed = function()

        F13Model:SetModel( "models/models/konnie/vanessa/vanessa.mdl" )
        F13Model:SetColor( Color(255, 255, 255) )
        F13Model.Entity:SetPos( Vector(0, 0, 30) )
        F13Model.Entity:SetSequence(F13Model.Entity:LookupSequence(table.Random( ListOfAnimation )))
        surface.PlaySound( "UI/buttonrollover.wav" )
        return false

    end
    VanessaJones.PaintOver = function( self, w, h )

            if self:IsHovered() then
             VanessaJones:SetPos( ScrW() * 0.690, ScrW() * 0.455 )
          else
               VanessaJones:SetPos( ScrW() * 0.690, ScrW() * 0.457 )
          end
        
        if not LocalPlayer():IsLevel(90) then

            draw.RoundedBox( 0, 0, ScrW() * 0.0, ScrW() * 0.041 , ScrW() * 0.041, Color( 0,0,0,250 ) )
            draw.SimpleText("Locked", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.015, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            draw.SimpleText("Level : 90", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.025, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
            surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

            VanessaJones:SetCursor("no")
            VanessaJones.OnMousePressed = function()
             return false
            end

        else

           surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
           surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

        end

        end


        local RobDier = vgui.Create("spawnicon" , F13)
    RobDier:SetPos( ScrW() * 0.735, ScrW() * 0.455 )
    RobDier:SetSize(ScrW() * 0.041 , ScrW() * 0.041)
    RobDier:SetModel("models/models/konnie/hunter/hunter.mdl")
    RobDier:SetCursor("hand")
    RobDier.OnMousePressed = function()

        F13Model:SetModel( "models/models/konnie/hunter/hunter.mdl" )
        F13Model:SetColor( Color(255, 255, 255) )
        F13Model.Entity:SetPos( Vector(0, 0, 30) )
        F13Model.Entity:SetSequence(F13Model.Entity:LookupSequence(table.Random( ListOfAnimation )))
        surface.PlaySound( "UI/buttonrollover.wav" )
        return false

    end
    RobDier.PaintOver = function( self, w, h )

            if self:IsHovered() then
             RobDier:SetPos( ScrW() * 0.735, ScrW() * 0.455 )
          else
               RobDier:SetPos( ScrW() * 0.735, ScrW() * 0.457 )
          end
        
        if not LocalPlayer():IsLevel(100) then

            draw.RoundedBox( 0, 0, ScrW() * 0.0, ScrW() * 0.041 , ScrW() * 0.041, Color( 0,0,0,250 ) )
            draw.SimpleText("Locked", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.015, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            draw.SimpleText("Level : 100", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.025, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
            surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

            RobDier:SetCursor("no")
            RobDier.OnMousePressed = function()
             return false
            end

        else

           surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
           surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

        end

        end


        local TommyJarvis = vgui.Create("spawnicon" , F13)
    TommyJarvis:SetPos( ScrW() * 0.780, ScrW() * 0.455 )
    TommyJarvis:SetSize(ScrW() * 0.041 , ScrW() * 0.041)
    TommyJarvis:SetModel("models/models/konnie/tommyjarvis/tommyjarvis.mdl")
    TommyJarvis:SetCursor("hand")
    TommyJarvis.OnMousePressed = function()

        F13Model:SetModel( "models/models/konnie/tommyjarvis/tommyjarvis.mdl" )
        F13Model:SetColor( Color(255, 255, 255) )
        F13Model.Entity:SetPos( Vector(0, 0, 30) )
        F13Model.Entity:SetSequence(F13Model.Entity:LookupSequence(table.Random( ListOfAnimation )))
        surface.PlaySound( "UI/buttonrollover.wav" )
        return false

    end
    TommyJarvis.PaintOver = function( self, w, h )

            if self:IsHovered() then
             TommyJarvis:SetPos( ScrW() * 0.780, ScrW() * 0.455 )
          else
               TommyJarvis:SetPos( ScrW() * 0.780, ScrW() * 0.457 )
          end
        
        if not LocalPlayer():IsUserGroup("vip") then

            draw.RoundedBox( 0, 0, ScrW() * 0.0, ScrW() * 0.041 , ScrW() * 0.041, Color( 0,0,0,250 ) )
            draw.SimpleText("Locked", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.015, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            draw.SimpleText("VIP", "MAIN_CHARACTER_MENU_FONT", ScrW() * 0.020 , ScrW() * 0.025, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
            surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
            surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

            TommyJarvis:SetCursor("no")
            TommyJarvis.OnMousePressed = function()
             return false
            end

        else

           surface.SetDrawColor( Color( 255, 255, 255, 255 ) )
           surface.DrawOutlinedRect( 0, 0, ScrW() * 0.041, ScrW() * 0.041 )

        end

        end







end
end




function MAIN_MENU()

--------------------------------------------------------
------------------- Player Camera View -----------------
--------------------------------------------------------

function CalcView(ply, pos, angles, fov)
    local view = {}

      if game.GetMap() == "slash_summercamp" then

        view.origin = Vector(1524.395996, 231.315277, 758.532471)
        view.angles = Angle(32.864445, -148.664963, 0)

      elseif game.GetMap() == "slash_highschool" then

        view.origin = Vector(9.015919, 89.073654, 87.546738)
        view.angles = Angle(0.578571, 90.060844, 0)

      elseif game.GetMap() == "slash_selvage" then

        view.origin = Vector(-2160.293945, 1517.242065, 863.517883)
        view.angles = Angle(37.956196, -44.803425, 0)

      elseif game.GetMap() == "slash_subway" then

        view.origin = Vector(463.547821, 708.586121, 536.539551)
        view.angles = Angle(26.846981, -140.479263, 0)

      end

    view.fov = fov
    return view
end
hook.Add( "CalcView", "CalcView", CalcView )

--------------------------------------------------------
------------------- Main Menu Creation -----------------
--------------------------------------------------------

if(!IsValid(F13)) then

    isOpen = true
    
    F13 = vgui.Create("DFrame")
    F13:SetSize(ScrW(), ScrH())
    F13:Center()
    F13:SetTitle("")
    F13:SetDraggable(false)
    F13:ShowCloseButton(false)
    F13:MakePopup()
    F13.Paint = function( self, w, h )
           drawBlur(self,5)
           draw.RoundedBox(0, 0, 0, ScrW(), ScrW() , Color(0,0,0,50))
        end

    local Play = vgui.Create("DButton", F13)
        Play:SetSize(ScrW() * 0.1, ScrH() * 0.05)
        Play:SetPos(ScrW() * 0.45, ScrH() * 0.3)
        Play:SetText("Play")
        Play:SetTextColor(Color(255,255,255))
        Play:SetFont("MAIN_MENU_FONT")
        Play.Paint = function(self,w,h)
          if self:IsHovered() then
            Play:SetTextColor(Color(234, 56, 56))
          else
            Play:SetTextColor(Color(255,255,255))
          end
        end
        Play.DoClick = function()
        gui.HideGameUI()
        F13:Remove()
        hook.Remove( "CalcView", "CalcView", CalcView )
        end

        local Characters = vgui.Create("DButton", F13)
        Characters:SetSize(ScrW() * 0.18, ScrH() * 0.05)
        Characters:SetPos(ScrW() * 0.41, ScrH() * 0.35)
        Characters:SetText("Characters")
        Characters:SetTextColor(Color(255,255,255))
        Characters:SetFont("MAIN_MENU_FONT")
        Characters.Paint = function(self,w,h)
          if self:IsHovered() then
            Characters:SetTextColor(Color(234, 56, 56))
          else
            Characters:SetTextColor(Color(255,255,255))
          end
        end
        Characters.DoClick = function()
        F13:Remove()
      --  hook.Remove( "CalcView", "CalcView", CalcView )
        CHARACTERS()
        end


        local ServerContent = vgui.Create("DButton", F13)
        ServerContent:SetSize(ScrW() * 0.19, ScrH() * 0.05)
        ServerContent:SetPos(ScrW() * 0.403, ScrH() * 0.4)
        ServerContent:SetText("Server Content")
        ServerContent:SetTextColor(Color(255,255,255))
        ServerContent:SetFont("MAIN_MENU_FONT")
        ServerContent.Paint = function(self,w,h)
          if self:IsHovered() then
            ServerContent:SetTextColor(Color(234, 56, 56))
          else
            ServerContent:SetTextColor(Color(255,255,255))
          end
        end
        ServerContent.DoClick = function()
        gui.OpenURL( "http://steamcommunity.com" )
        end

        local SignOut = vgui.Create("DButton", F13)
        SignOut:SetSize(ScrW() * 0.12, ScrH() * 0.05)
        SignOut:SetPos(ScrW() * 0.44, ScrH() * 0.45)
        SignOut:SetText("Sign Out")
        SignOut:SetTextColor(Color(255,255,255))
        SignOut:SetFont("MAIN_MENU_FONT")
        SignOut.Paint = function(self,w,h)
          if self:IsHovered() then
            SignOut:SetTextColor(Color(234, 56, 56))
          else
            SignOut:SetTextColor(Color(255,255,255))
          end
        end
        SignOut.DoClick = function()
        F13:Remove()
        hook.Remove( "CalcView", "CalcView", CalcView )
        LocalPlayer():ConCommand("disconnect")
        end

  end
end

hook.Add( 'Think', 'MainMenuKey', function()
    if input.IsKeyDown( KEY_F1 ) then
        if isOpen then
            if nextOpen < CurTime() then
                nextOpen = CurTime() + 0.4
                F13:Remove()
                hook.Remove( "CalcView", "CalcView", CalcView )
                isOpen = false
            end
        else
            if nextOpen < CurTime() then
                MAIN_MENU()
                nextOpen = CurTime() + 0.4
            end
        end
    end
end )